<%= form_for(flight) do |f| %>
  <% if flight.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(flight.errors.count, "error") %> prohibited this flight from being saved:</h2>

      <ul>
      <% flight.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :status %>
    <%= f.text_field :status %>
  </div>

  <div class="field">
    <%= f.label :size %>
    <%= f.text_field :size %>
  </div>

  <div class="field">
    <%= f.label :mission %>
    <%= f.text_field :mission %>
  </div>

  <div class="field">
    <%= f.label :day %>
    <%= f.number_field :day %>
  </div>

  <div class="field">
    <%= f.label :cycle %>
    <%= f.number_field :cycle %>
  </div>

  <div class="field">
    <%= f.label :armor %>
    <%= f.number_field :armor %>
  </div>

  <div class="field">
    <%= f.label :shield %>
    <%= f.number_field :shield %>
  </div>

  <div class="field">
    <%= f.label :shield_enabled %>
    <%= f.check_box :shield_enabled %>
  </div>

  <div class="field">
    <%= f.label :fuel %>
    <%= f.number_field :fuel %>
  </div>

  <div class="field">
    <%= f.label :oxygen %>
    <%= f.number_field :oxygen %>
  </div>

  <div class="field">
    <%= f.label :date_end %>
    <%= f.datetime_select :date_end %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>
